# $Revision: 1.3 $, $Date: 2002/09/16 01:37:11 $
Summary:	This is an input plugin for XMMS which plays mp+ encoded audio files
Summary(pl):	Plugin wejciowy do XMMS odtwarzajcy pliki mp+ (mpc)
Name:		xmms-input-musepack
Version:	0.94
Release:	2
License:	LGPL
Group:		X11/Applications/Multimedia
Source:		http://telia.dl.sourceforge.net/sourceforge/mpegplus/xmms-musepack-%{version}.tar.bz2
Patch0:		%{name}-Makefile.patch
URL:		http://sourceforge.net/project/mpegplus/
BuildRequires:	xmms-devel
Requires:	xmms
Buildroot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix			/usr/X11R6
%define		_xmms_input_path	%(xmms-config --input-plugin-dir)

%description
This plugin for XMMS can play audio files which are encoded with
Andree Buschmann's encoder Musepack. These files have the filename
postfixes mpc, mp+ or mpp.

%description -l pl
Ta wtyczka XMMS odtwarza pliki dwikowe zakodowane koderem Musepack
autorstwa Andree Buschmanna. Te pliki maj rozszerzenie mpc, mp+ lub
mpp.

%prep
%setup -q -n xmms-musepack-%{version}
%patch0 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_xmms_input_path}

install xmms-musepack-%{version}.so $RPM_BUILD_ROOT%{_xmms_input_path}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog
%doc README_mpc-plugin_english.txt
%doc %lang(de) README_mpc-plugin_german.txt
%doc %lang(es) README_mpc-plugin_spanish.txt
%doc %lang(fi) README_mpc-plugin_finnish.txt
%doc %lang(ko) README_mpc-plugin_korean.txt
%attr(755,root,root) %{_xmms_input_path}/* 

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xmms-input-musepack.spec,v $
Revision 1.3  2002/09/16 01:37:11  qboosh
- pl description, release 2

Revision 1.2  2002/09/03 17:29:44  kloczek
- finished.

Revision 1.1  2002/09/03 13:31:14  wojrus
- initial spec
- cannot build
